## ros-iron-flexbe-states 2.3.3

=== debian/changelog ===
ros-iron-flexbe-states (2.3.3-1jammy) jammy; urgency=high

  * cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-flexbe-states (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-iron-flexbe-states (2.3.1-1jammy) jammy; urgency=high

  * modify input to allow lists or tuples (or just csv numbers)
  * add pickle warning
  * post user prompt as hint to FlexBE log.
  * tweak the timeout description
  * use wait duration in input_state
  * modify is_available for current status check not wait
  * update action client test

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-iron-flexbe-states (2.3.0-1jammy) jammy; urgency=high

  * add input_action_server with UI and update handling inside input_state
    * WARNING: This change to input_state.py may require changes to how data is being sent
  * use wait duration with proxy action client and add timeout
  * Updates to dependencies for ROS build farm

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-iron-flexbe-states (2.2.0-1jammy) jammy; urgency=high

  * update to use flexbe_testing with colcon test; pylint, flake8, pep257 cleanup
  * Merge pull request #8 from AravindaDP/ros2-devel
    fix: subscriber_state.py

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-iron-flexbe-states (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Use instance id for proxy subscribers
  * Update script_dir in setup.cfg
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-iron-flexbe-states (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-iron-flexbe-states (1.3.1-1jammy) jammy; urgency=high

  * [flexbe_states] Pass flexible calculation state input as kwargs for python3 compatibility
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-iron-flexbe-states (1.3.0-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * [flexbe_states] Cleanup of states
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-iron-flexbe-states (1.2.5-1jammy) jammy; urgency=high

  * [flexbe_states] Fix ambiguous import of subscriber state
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_states] Clean up input state
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-iron-flexbe-states (1.2.4-1jammy) jammy; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-iron-flexbe-states (1.2.3-1jammy) jammy; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_testing] Refactor testing framework as basis for new feature
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 10 Jan 2020 05:00:00 -0000

ros-iron-flexbe-states (1.2.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 16 Sep 2019 04:00:00 -0000

ros-iron-flexbe-states (1.2.1-1jammy) jammy; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 02 Jun 2019 04:00:00 -0000

ros-iron-flexbe-states (1.1.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 09 Apr 2019 04:00:00 -0000

ros-iron-flexbe-states (1.1.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Revise run dependencies
  * [flexbe_states] Remove deprecated concurrent_state - use Concurrency container instead
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 18 Dec 2018 05:00:00 -0000

ros-iron-flexbe-states (1.1.0-1jammy) jammy; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/fix/state_tests' into feature/flexbe_app
  * [flexbe_states] Add pose test for subscriber state
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #52 <https://github.com/team-vigir/flexbe_behavior_engine/issues/52> from ruvu/fix/catkin_lint_errors_and_warnings

